WordPress Age Gate plugin sérülékenység

CH azonosító: CH-15085 Cím: WordPress Age Gate plugin sérülékenység Angol cím: Vulnerability in WordPress Age Gate plugin

Publikálás dátuma: 2020.12.02. Utolsó módosítás dátuma: 2020.12.02.


Leírás

A WordPress tartalomkezelő Age Gate pluginját érintő magas kockázati besorolású sérülékenység vált ismertté, amelyet kihasználva a támadó átirányíthatja az érintett weboldal látogatóit egy tetszőleges weboldalra. A sérülékenység jelenleg önálló CVE számmal nem rendelkezik, a CWE-601 csoportba került besorolásra.

Leírás forrása: Egyéb referencia: exchange.xforce.ibmcloud.com Leírás utolsó módosítása: 2020.12.02.


Elemzés leírás

A WordPress nyílt forráskódú, PHP alapú tartalomkezelő és blog rendszer, amely a MySQL adatbáziskezelőt használja adattárolásra. Az Age Gate plugin segítségével az egyes korhatárhoz kötött tartalmak esetén biztosítható a korhatár ellenőrzése. A sérülékenység hátterében az  admin-post.php szkriptben lévő hiba áll, amelyet kihasználva a támadó átirányíthatja az érintett weboldal látogatóit egy tetszőleges weboldalra.

Érintett verziók:

  • WordPress Age Gate plugin 2.13.5 előtti verziók

A hiba javítását célzó frissítés elérhető a gyártó weboldalán keresztül.

Elemzés leírás forrása: Egyéb referencia: exchange.xforce.ibmcloud.com Elemzés leírás utolsó módosítása: 2020.12.02.


Hatás

CVSS3 Severity and Metrics

Base score: 7.4 (Magas)
Vector: AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N
Impact Score:
Exploitability Score:


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope (S): Changed
Confidentiality Impact (C): None
Integrity Impact (I): High
Availability Impact (A): None

CVSS2 Severity and Metrics

Base score: (Nincs)
Vector:
Impact Subscore:
Exploitability Subscore:




Hivatkozások

Egyéb referencia: exchange.xforce.ibmcloud.com